Package org.bukkit.event.player

# Class PlayerTakeLecternBookEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerTakeLecternBookEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerTakeLecternBookEvent extends PlayerEvent implements Cancellable
This event is called when a player clicks the button to take a book of a Lectern. If this event is cancelled the book remains on the lectern.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerTakeLecternBookEvent(@NotNull Player who, @NotNull Lectern lectern)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getBook()`
Gets the current ItemStack on the lectern.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Lectern`
`getLectern()`
Gets the lectern involved.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerTakeLecternBookEvent

public PlayerTakeLecternBookEvent(@NotNull @NotNull Player who, @NotNull @NotNull Lectern lectern)

## Method Details

### getLectern

@NotNull public @NotNull Lectern getLectern()
Gets the lectern involved.

Returns:
  the Lectern

### getBook

@Nullable public @Nullable ItemStack getBook()
Gets the current ItemStack on the lectern.

Returns:
  the ItemStack on the Lectern

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()